import 'package:flutter_bloc/flutter_bloc.dart';

abstract class BlocWithHandlerEvent<Event extends HandlerEvent, State>
    extends Bloc<Event, State> {
  @override
  Stream<State> mapEventToState(HandlerEvent event) {
    return event.handle(this);
  }
}

mixin HandlerEvent<Bloc, State> {
  Stream<State> handle(Bloc bloc);
}
